package bankmode

import (
	"wartank/pkg/types"
	"wartank/server/serv_bots/warbot/tank/tankstat/static_param"
)

/*
	Объект допустимого режима банка.
*/

// BankMode -- объект допустимого режима банка
type BankMode struct {
	серебро   types.ИСтатПарам
	timeCount string
}

// NewBankMode -- возвращает новый *BankMode
func NewBankMode() *BankMode {
	серебро, _ := static_param.НовСтатПарам("silver")
	return &BankMode{
		серебро: серебро,
	}
}

// Серебро -- возвращает объект серебра режима
func (sf *BankMode) Серебро() types.ИСтатПарам {
	return sf.серебро
}

// ВремяСделать -- возвращает временя производства режима
func (sf *BankMode) ВремяСделать() string {
	return sf.timeCount
}

// ВремяСделатьУст -- устанавливает время производства режима
func (sf *BankMode) ВремяСделатьУст(val string) {
	sf.timeCount = val
}
